/// Problem  : A (School ACM 2006)
/// Solution : Igor V. Burago

#include <fstream>
#include <string>
using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int sum, len;
string str;
bool ok;

int main()
{
  cin >> str;

  int i, j;

  do {
    len = str.length();

    for (i = 0; i < str.length(); i++)
      if (str[i] == '3') {
        str[i] = '4';
        for (j = i+1; j < str.length(); j++)
          str[j] = '0';
        break;
      }

    sum = 0;
    ok = true;    
    for (i = 0; i < len; i++) {
      ok = ok && str[i] != '3';
      sum += str[i] - '0';
    }
    ok = ok && sum % 3 != 0;
    if (ok) break;

    ok = true;
    for (i = len-1; i >= 0; i--) {
      if (str[i] == '9') { str[i] = '0'; if (i == 0) ok = false; }
      else { str[i] = str[i] + 1; break; }
    }
    if (!ok) str = '1' + str;
  } while (true);

  cout << str;

  return 0;
}